Bug 187047 - games/54321: Update MASTER_SITES and WWW: line
Summary: games/54321: Update MASTER_SITES and WWW: line
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-25 18:10 UTC by tkato432
Modified: 2014-02-27 09:10 UTC (History)
0 users

See Also:


Attachments
file.diff (8.33 KB, patch)
2014-02-25 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-25 18:10:03 UTC
- Update MASTER_SITES and WWW: line
- Support CXXFLAGS properly

Remove file:
files/54321.sh
files/patch-code::main.cpp
Comment 1 Edwin Groothuis freebsd_committer 2014-02-25 18:12:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-02-27 09:08:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-27 09:08:52 UTC
Author: miwi
Date: Thu Feb 27 09:08:43 2014
New Revision: 346284
URL: http://svnweb.freebsd.org/changeset/ports/346284
QAT: https://qat.redports.org/buildarchive/r346284/

Log:
  - Update MASTER_SITES/WWW
  - Stage support
  
  PR:		187047
  Submitted by:	Ports Fury

Deleted:
  head/games/54321/files/54321.sh
  head/games/54321/files/patch-code::main.cpp
Modified:
  head/games/54321/Makefile
  head/games/54321/files/variables.GNU
  head/games/54321/pkg-descr
  head/games/54321/pkg-plist

Modified: head/games/54321/Makefile
==============================================================================
--- head/games/54321/Makefile	Thu Feb 27 09:07:20 2014	(r346283)
+++ head/games/54321/Makefile	Thu Feb 27 09:08:43 2014	(r346284)
@@ -3,43 +3,40 @@
 
 PORTNAME=	54321
 PORTVERSION=	1.0.2001.11.16
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	games
-MASTER_SITES=	http://www.nklein.com/products/54321/${PORTVERSION}/
+MASTER_SITES=	http://old.nklein.com/products/54321/%SUBDIR%/ \
+		http://www.sourcefiles.org/Games/Puzzle/
+MASTER_SITE_SUBDIR=	${PORTVERSION}
 DISTNAME=	${PORTNAME}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	54321 is five games in four-, three-, or two-dimensions for one player
+COMMENT=	Five games in four-, three-, or two-dimensions for one player
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-07
-
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png
 
+USES=		gmake
 USE_SDL=	image sdl
-USE_GMAKE=	yes
 MAKEFILE=	GNUmakefile
-ALL_TARGET=	all size
 
-NO_STAGE=	yes
 post-extract:
-	@${MKDIR} ${WRKSRC}/archs/FreeBSD
-	@${CP} ${FILESDIR}/variables.GNU ${WRKSRC}/archs/FreeBSD
+	@${MKDIR} ${WRKSRC}/archs/${OPSYS}
+	@${CP} ${FILESDIR}/variables.GNU ${WRKSRC}/archs/${OPSYS}
 
 post-patch:
-	${REINPLACE_CMD} -e "s,ARCH,OPSYS," ${WRKSRC}/GNUmakefile
-
-post-build:
-	@${SED} -e "s;@PREFIX@;${PREFIX};g" \
-		${FILESDIR}/54321.sh > ${WRKSRC}/54321
+	@${REINPLACE_CMD} -e \
+		's|ARCH|OPSYS| ; \
+		 s|:= -O|+=|' ${WRKSRC}/GNUmakefile
+	@${REINPLACE_CMD} -e \
+		's|SDL_main|main| ; \
+		 s|../../data/|${DATADIR}/data/|' ${WRKSRC}/code/*.cpp
 
 do-install:
-	@${MKDIR} ${PREFIX}/share/54321/bin/FreeBSD
-	@${MKDIR} ${PREFIX}/share/54321/data
-	@${CHMOD} -R 755 ${PREFIX}/share/54321
-	@${INSTALL_PROGRAM} ${WRKSRC}/Release/bin/FreeBSD/54321 ${PREFIX}/share/54321/bin/FreeBSD
-	@${INSTALL_DATA} ${WRKSRC}/Release/data/* ${PREFIX}/share/54321/data
-	@${INSTALL_SCRIPT} ${WRKSRC}/54321 ${PREFIX}/bin
+	(cd ${WRKSRC}/Release/bin/${OPSYS} && ${INSTALL_PROGRAM} 54321 \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DATADIR}/data
+	(cd ${WRKSRC}/Release/data && ${INSTALL_DATA} * \
+		${STAGEDIR}${DATADIR}/data)
 
 .include <bsd.port.mk>

Modified: head/games/54321/files/variables.GNU
==============================================================================
--- head/games/54321/files/variables.GNU	Thu Feb 27 09:07:20 2014	(r346283)
+++ head/games/54321/files/variables.GNU	Thu Feb 27 09:08:43 2014	(r346284)
@@ -1,6 +1,6 @@
 ############################################################
 CXX := c++
-STRIP := strip
+STRIP := true
 ############################################################
 MKDIR_CMD = test -d $(@D) || mkdir -p $(@D)
 ############################################################

Modified: head/games/54321/pkg-descr
==============================================================================
--- head/games/54321/pkg-descr	Thu Feb 27 09:07:20 2014	(r346283)
+++ head/games/54321/pkg-descr	Thu Feb 27 09:08:43 2014	(r346284)
@@ -8,4 +8,4 @@ Linux Journal (http://www.linuxjournal.c
 Loki Software (http://www.lokigames.com/),
 and No Starch Press (http://www.nostarch.com/).
 
-WWW: http://www.nklein.com/products/54321/
+WWW: http://old.nklein.com/products/54321/

Modified: head/games/54321/pkg-plist
==============================================================================
--- head/games/54321/pkg-plist	Thu Feb 27 09:07:20 2014	(r346283)
+++ head/games/54321/pkg-plist	Thu Feb 27 09:08:43 2014	(r346284)
@@ -1,47 +1,11 @@
 bin/54321
-%%DATADIR%%/bin/FreeBSD/54321
-%%DATADIR%%/data/bs1.hlp
-%%DATADIR%%/data/bs2.hlp
-%%DATADIR%%/data/bs3.hlp
-%%DATADIR%%/data/bs4.hlp
-%%DATADIR%%/data/cr1.hlp
-%%DATADIR%%/data/cr2.hlp
-%%DATADIR%%/data/cr3.hlp
-%%DATADIR%%/data/cr4.hlp
-%%DATADIR%%/data/ff1.hlp
-%%DATADIR%%/data/ff2.hlp
-%%DATADIR%%/data/ff3.hlp
-%%DATADIR%%/data/ff4.hlp
-%%DATADIR%%/data/mr1.hlp
-%%DATADIR%%/data/mr2.hlp
-%%DATADIR%%/data/mr3.hlp
-%%DATADIR%%/data/nd1.hlp
-%%DATADIR%%/data/nd2.hlp
-%%DATADIR%%/data/nd3.hlp
-%%DATADIR%%/data/nd4.hlp
-%%DATADIR%%/data/nd5.hlp
-%%DATADIR%%/data/nd6.hlp
-%%DATADIR%%/data/nd7.hlp
-%%DATADIR%%/data/nd8.hlp
-%%DATADIR%%/data/pj1.hlp
-%%DATADIR%%/data/pj2.hlp
-%%DATADIR%%/data/pj3.hlp
-%%DATADIR%%/data/pj4.hlp
-%%DATADIR%%/data/top.hlp
-%%DATADIR%%/data/ts1.hlp
-%%DATADIR%%/data/ts2.hlp
-%%DATADIR%%/data/ts3.hlp
-%%DATADIR%%/data/ts4.hlp
-%%DATADIR%%/data/wn1.hlp
-%%DATADIR%%/data/wn10.hlp
-%%DATADIR%%/data/wn2.hlp
-%%DATADIR%%/data/wn3.hlp
-%%DATADIR%%/data/wn4.hlp
-%%DATADIR%%/data/wn5.hlp
-%%DATADIR%%/data/wn6.hlp
-%%DATADIR%%/data/wn7.hlp
-%%DATADIR%%/data/wn8.hlp
-%%DATADIR%%/data/wn9.hlp
+%%DATADIR%%/data/_bvfonts.png
+%%DATADIR%%/data/_nklein.png
+%%DATADIR%%/data/_png.png
+%%DATADIR%%/data/_sdl.png
+%%DATADIR%%/data/_umlaut.png
+%%DATADIR%%/data/actOff.png
+%%DATADIR%%/data/actOn.png
 %%DATADIR%%/data/b2-0n.peg
 %%DATADIR%%/data/b2-0w.peg
 %%DATADIR%%/data/b2-1n.peg
@@ -57,29 +21,33 @@ bin/54321
 %%DATADIR%%/data/b4-0n.peg
 %%DATADIR%%/data/b4-0w.peg
 %%DATADIR%%/data/b4-1n.peg
-%%DATADIR%%/data/me.png
 %%DATADIR%%/data/b4-1w.peg
 %%DATADIR%%/data/b4-2n.peg
 %%DATADIR%%/data/b4-2w.peg
-%%DATADIR%%/data/_bvfonts.png
-%%DATADIR%%/data/_nklein.png
-%%DATADIR%%/data/_png.png
-%%DATADIR%%/data/_sdl.png
-%%DATADIR%%/data/_umlaut.png
-%%DATADIR%%/data/actOff.png
-%%DATADIR%%/data/actOn.png
 %%DATADIR%%/data/back.png
 %%DATADIR%%/data/backdrop.png
 %%DATADIR%%/data/blogo.png
 %%DATADIR%%/data/bomb.png
 %%DATADIR%%/data/borders.png
+%%DATADIR%%/data/bs1.hlp
+%%DATADIR%%/data/bs2.hlp
+%%DATADIR%%/data/bs3.hlp
+%%DATADIR%%/data/bs4.hlp
 %%DATADIR%%/data/centers.png
 %%DATADIR%%/data/continue.png
 %%DATADIR%%/data/covered.png
+%%DATADIR%%/data/cr1.hlp
+%%DATADIR%%/data/cr2.hlp
+%%DATADIR%%/data/cr3.hlp
+%%DATADIR%%/data/cr4.hlp
 %%DATADIR%%/data/defeat.png
 %%DATADIR%%/data/dimOff.png
 %%DATADIR%%/data/dimOn.png
 %%DATADIR%%/data/empty.png
+%%DATADIR%%/data/ff1.hlp
+%%DATADIR%%/data/ff2.hlp
+%%DATADIR%%/data/ff3.hlp
+%%DATADIR%%/data/ff4.hlp
 %%DATADIR%%/data/flagged.png
 %%DATADIR%%/data/flogo.png
 %%DATADIR%%/data/font.png
@@ -89,13 +57,29 @@ bin/54321
 %%DATADIR%%/data/helpOn.png
 %%DATADIR%%/data/hole.png
 %%DATADIR%%/data/marked.png
+%%DATADIR%%/data/me.png
 %%DATADIR%%/data/mlogo.png
 %%DATADIR%%/data/moverlay.png
+%%DATADIR%%/data/mr1.hlp
+%%DATADIR%%/data/mr2.hlp
+%%DATADIR%%/data/mr3.hlp
+%%DATADIR%%/data/nd1.hlp
+%%DATADIR%%/data/nd2.hlp
+%%DATADIR%%/data/nd3.hlp
+%%DATADIR%%/data/nd4.hlp
+%%DATADIR%%/data/nd5.hlp
+%%DATADIR%%/data/nd6.hlp
+%%DATADIR%%/data/nd7.hlp
+%%DATADIR%%/data/nd8.hlp
 %%DATADIR%%/data/off.png
 %%DATADIR%%/data/on.png
 %%DATADIR%%/data/overlay.png
 %%DATADIR%%/data/panel.png
 %%DATADIR%%/data/peg.png
+%%DATADIR%%/data/pj1.hlp
+%%DATADIR%%/data/pj2.hlp
+%%DATADIR%%/data/pj3.hlp
+%%DATADIR%%/data/pj4.hlp
 %%DATADIR%%/data/plogo.png
 %%DATADIR%%/data/pointer.png
 %%DATADIR%%/data/selected.png
@@ -103,6 +87,11 @@ bin/54321
 %%DATADIR%%/data/setOn.png
 %%DATADIR%%/data/threed.png
 %%DATADIR%%/data/tlogo.png
+%%DATADIR%%/data/top.hlp
+%%DATADIR%%/data/ts1.hlp
+%%DATADIR%%/data/ts2.hlp
+%%DATADIR%%/data/ts3.hlp
+%%DATADIR%%/data/ts4.hlp
 %%DATADIR%%/data/uncovered.png
 %%DATADIR%%/data/unmarked.png
 %%DATADIR%%/data/victory.png
@@ -114,8 +103,16 @@ bin/54321
 %%DATADIR%%/data/wall5.png
 %%DATADIR%%/data/wall6.png
 %%DATADIR%%/data/wall7.png
+%%DATADIR%%/data/wn1.hlp
+%%DATADIR%%/data/wn10.hlp
+%%DATADIR%%/data/wn2.hlp
+%%DATADIR%%/data/wn3.hlp
+%%DATADIR%%/data/wn4.hlp
+%%DATADIR%%/data/wn5.hlp
+%%DATADIR%%/data/wn6.hlp
+%%DATADIR%%/data/wn7.hlp
+%%DATADIR%%/data/wn8.hlp
+%%DATADIR%%/data/wn9.hlp
 %%DATADIR%%/data/z2.png
 @dirrm %%DATADIR%%/data
-@dirrm %%DATADIR%%/bin/FreeBSD
-@dirrm %%DATADIR%%/bin
 @dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"